# react-redux

Covered topics:

#### Reducer function

#### Hooks
- useState
- useSelector
- useDispatch

#### connect function for class-based components

#### @reduxjs/toolkit
- slices
- configureStore